/*
 * files.h
 *
 * Copyright(c) 1999, Particle
 */

#ifndef _FILES_H_
#define _FILES_H_

#include <stdio.h>

/**
 * return the length of the file
 */
int fileLength(FILE *f);

/**
 * open file for writing
 */
FILE* fileOpenWrite(char *filename);

/**
 * open file for reading
 */
FILE* fileOpenRead(char *filename);

/**
 * read the file
 */
int fileRead(FILE *f,void *buffer,int count);

/**
 * write file
 */
void fileWrite(FILE *f,void *buffer,int count);

/**
 * load file into memory (the memory pointer MUST be freed later)
 */
int fileLoad(char *filename,void **bufferptr);


#endif