# makefile for Visual C++

CC=cl /nologo

nutn.exe: error.obj nutn.obj files.obj scanner.obj scanner_z.obj parser.obj parser_z.obj nodes.obj namevalue.obj gen_asm_z.obj
	$(CC) -o nutn.exe nutn.obj error.obj files.obj scanner.obj scanner_z.obj parser.obj parser_z.obj nodes.obj namevalue.obj gen_asm_z.obj


namevalue.obj: namevalue.c namevalue.h error.h
	$(CC) -c namevalue.c -o namevalue.obj
gen_asm_z.obj: gen_asm_z.c gen_asm_z.h namevalue.h error.h parser_z.h
	$(CC) -c gen_asm_z.c -o gen_asm_z.obj

nutn.obj: nutn.c error.h files.h scanner.h parser.h parser_z.h nodes.h gen_asm_z.h
	$(CC) -c nutn.c -o nutn.obj

parser.obj: parser.c parser.h scanner.h files.h error.h nodes.h
	$(CC) -c parser.c -o parser.obj
parser_z.obj: parser_z.c parser.h parser_z.h scanner.h files.h error.h nodes.h
	$(CC) -c parser_z.c -o parser_z.obj

nodes.obj: nodes.c nodes.h error.h scanner.h
	$(CC) -c nodes.c -o nodes.obj

scanner.obj: scanner.c scanner.h files.h error.h
	$(CC) -c scanner.c -o scanner.obj
scanner_z.obj: scanner_z.c scanner.h files.h error.h
	$(CC) -c scanner_z.c -o scanner_z.obj
files.obj: error.c error.h files.c files.h
	$(CC) -c files.c -o files.obj
error.obj: error.c error.h
	$(CC) -c error.c -o erorr.obj
