/*
 * nodes.h
 *
 * Copyright(c) 1999, Particle
 */

#ifndef _NODES_H_
#define _NODES_H_

#include <stdlib.h>

#include "scanner.h"

typedef struct node_s{
	
	int type;

	token_t* token;

	struct node_s* left;
	struct node_s* right;
		
	struct node_s* next;

}node_t;


/*
 * creates a node given some parameters
 */
node_t* createNode(node_t* left,int type,node_t* right,token_t* token);

/*
 * free node
 */
void freeNode(node_t* n);


#endif