/*
 * error.c
 *
 * Copyright(c) 1998-1999, Particle
 */

#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>

#include "error.h"

/**
 * prints out the message, and exits with error code 1
 */
void error(char *s,...){
	va_list arg_ptr;
	va_start(arg_ptr,s);
	vfprintf(stderr,s,arg_ptr);
	va_end(arg_ptr);
	fputc('\n',stderr);
	exit(1);
}

/**
 * prints out a message
 */
void warning(char *s,...){
	va_list arg_ptr;
	va_start(arg_ptr,s);
	vfprintf(stderr,s,arg_ptr);
	va_end(arg_ptr);
	fputc('\n',stderr);
}

