# makefile for Visual C++
LEX = flex -lL
YACC = bison -lyd
o = .obj
CC = cl -nologo

nutn.exe: nutn$o nodes$o error$o lex.yy$o y.tab$o gen_asm_z$o namevalue$o
	$(CC) -o nutn.exe nutn$o nodes$o error$o lex.yy$o y.tab$o gen_asm_z$o namevalue$o
nutn$o: nutn.c nutn.h
	$(CC) -c nutn.c -o nutn$o
namevalue$o: namevalue.c namevalue.h error.h
	$(CC) -c namevalue.c -o namevalue$o
gen_asm_z$o: gen_asm_z.c gen_asm_z.h nodes.h
	$(CC) -c gen_asm_z.c -o gen_asm_z$o
nodes$o: nodes.c nodes.h
	$(CC) -c nodes.c -o nodes$o
error$o: error.c error.h
	$(CC) -c error.c -o error$o
lex.yy$o: lex.yy.c y.tab.h
	$(CC) -c lex.yy.c -o lex.yy$o
lex.yy.c: z.l
	$(LEX) z.l
y.tab$o: y.tab.c y.tab.h
	$(CC) -c y.tab.c -o y.tab$o
y.tab.c: z.y
	$(YACC) z.y
y.tab.h: z.y
	$(YACC) z.y


